Bug 8081 - Several files in openide/src/org/openide/util/ are alive in CVS trunk but stored in Attic
Several files in openide/src/org/openide/util/ are alive in CVS trunk but sto...
Status: RESOLVED INVALID
Product: obsolete
Classification: Unclassified
Component: collabnet
3.x
PC Linux
: P1 (vote)
: TBD
Assigned To: support
issues@www
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-30 14:59 UTC by Jesse Glick
Modified: 2009-11-08 02:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2000-10-30 14:59:49 UTC
The following files in openide/src/org/openide/util/:

	CharacterArrayCharacterIterator.java
	RE.java
	RECompiler.java
	RESyntaxException.java
	ReaderCharacterIterator.java
	StreamCharacterIterator.java
	StringCharacterIterator.java

are "alive" (state Exp) in the CVS trunk; but their ,v files are stored in the
Attic/ subdirectory in the CVS repository. This is an inconsistent state
according to the CVS documentation. In particular, checking out this directory
from scratch does *not* check out these files (because CVS does not see them in
the main directory in the repository), though I have a checkout of them which is
up-to-date and "cvs up" works as expected with them.

If you explicitly list them to "cvs up" then it will check them out, but if you
just check out the directory it will not.

This means that builds of the IDE are currently missing these files. I believe
the IDE will still work for a while without them, but it must be fixed very
soon.

Unfortunately I do not recall exactly what I did to produce this situation. The
files were formerly deleted; I readded them in a trunk checkout, I think by
using cvs up, but maybe cvs add; made some changes from the last live versions;
and checked them in. The checkin command seemed to proceed normally (saying
checking in 1.6 and so on), and cvs log looks fine except that the repository
files are in the Attic.

I have tried making dummy changes to the files and checking in these changes,
which works, but they are still in the Attic.

Please:

	cd /cvs/openide/src/org/openide/util/Attic
	mv CharacterArrayCharacterIterator.java,v <<other 6>> ..

which should restore the repository to a consistent state.
Comment 1 Unknown 2000-10-30 23:13:59 UTC
PRIORITY BUG reported to apps dev
http://projects.collab.net/issues/show_bug.cgi?id=760
Please, please, please get this done today!
Keri
Comment 2 Jesse Glick 2000-10-31 09:45:59 UTC
Thanks for the speedy response--it's fixed now!
Comment 3 Unknown 2004-10-13 09:04:52 UTC
closing...
Comment 4 Marian Mirilovic 2009-11-08 02:26:55 UTC
We recently moved out from Collabnet's infrastructure


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo